Package tigase.eventbus.component

## Class EventbusDiscoveryModule

- java.lang.Object
- - tigase.component.modules.AbstractModule
  - - tigase.component.modules.impl.DiscoveryModule
    - - tigase.eventbus.component.EventbusDiscoveryModule

- All Implemented Interfaces:
    `Module`

      @Bean(name="disco",
            active=true)
      public class EventbusDiscoveryModule
      extends DiscoveryModule

- - ### Field Summary

    - ### Fields inherited from class tigase.component.modules.impl.DiscoveryModule

      `component, DISCO_INFO_XMLNS, DISCO_ITEMS_XMLNS, ID`

    - ### Fields inherited from class tigase.component.modules.AbstractModule

      `eventBus, log, writer`

    - ### Fields inherited from interface tigase.component.modules.Module

      `EMPTY_FEATURES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventbusDiscoveryModule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `processDiscoInfo​(Packet packet, JID jid, java.lang.String node, JID senderJID)` |
    `protected void` | `processDiscoItems​(Packet packet, JID jid, java.lang.String node, JID senderJID)` |

    - ### Methods inherited from class tigase.component.modules.impl.DiscoveryModule

      `getAdHocCommandModule, getAvailableFeatures, getAvailableFeatures, getFeatures, getModuleCriteria, getModules, prepareDiscoInfoReponse, prepareDiscoInfoResponse, prepareDiscoItems, process, processAdHocCommandItems, setAdHocCommandModule, setModules`

    - ### Methods inherited from class tigase.component.modules.AbstractModule

      `fireEvent, getEventBus, getWriter, setEventBus, setWriter, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.component.modules.Module

      `canHandle`

- - ### Constructor Detail

    - #### EventbusDiscoveryModule

          public EventbusDiscoveryModule()

  - ### Method Detail

    - #### processDiscoInfo

          protected void processDiscoInfo​(Packet packet,
                                          JID jid,
                                          java.lang.String node,
                                          JID senderJID)
                                   throws ComponentException,
                                          RepositoryException

      Overrides:
        `processDiscoInfo` in class `DiscoveryModule`
      Throws:
        `ComponentException`
        `RepositoryException`

    - #### processDiscoItems

          protected void processDiscoItems​(Packet packet,
                                           JID jid,
                                           java.lang.String node,
                                           JID senderJID)
                                    throws ComponentException,
                                           RepositoryException

      Overrides:
        `processDiscoItems` in class `DiscoveryModule`
      Throws:
        `ComponentException`
        `RepositoryException`